'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var kebabCase = require('lodash/fp/kebabCase');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var kebabCase__default = /*#__PURE__*/_interopDefaultLegacy(kebabCase);

var ICON_MAP = {
    success: {
        name: 'check-circle',
    },
    info: {
        name: 'info-circle',
    },
    warning: {
        name: 'exclamation-triangle',
    },
    danger: {
        name: 'exclamation-circle',
    },
};
var THEME_COLOR_TOKEN_MAP = {
    default: 'cool-gray-lighter',
    primary: 'primary-brand-accent',
    success: 'ui-success',
    info: 'primary-brand-accent',
    warning: 'ui-warning',
    'warning-light': 'ui-warning-lightest',
    danger: 'ui-danger',
    dark: 'support-black',
    light: 'white',
};

var forkHandlers = function (handlers) { return function (e) {
    handlers.forEach(function (handler) {
        if (handler)
            handler(e);
    });
}; };

function parseMetadata(metadata) {
    return metadata
        ? Object.keys(metadata).reduce(function (acc, key) {
            acc["data-" + kebabCase__default['default'](key)] = metadata[key] || '';
            return acc;
        }, {})
        : {};
}

exports.ICON_MAP = ICON_MAP;
exports.THEME_COLOR_TOKEN_MAP = THEME_COLOR_TOKEN_MAP;
exports.forkHandlers = forkHandlers;
exports.parseMetadata = parseMetadata;
//# sourceMappingURL=index.js.map
