import kebabCase from 'lodash/fp/kebabCase';

var ICON_MAP = {
    success: {
        name: 'check-circle',
    },
    info: {
        name: 'info-circle',
    },
    warning: {
        name: 'exclamation-triangle',
    },
    danger: {
        name: 'exclamation-circle',
    },
};
var THEME_COLOR_TOKEN_MAP = {
    default: 'cool-gray-lighter',
    primary: 'primary-brand-accent',
    success: 'ui-success',
    info: 'primary-brand-accent',
    warning: 'ui-warning',
    'warning-light': 'ui-warning-lightest',
    danger: 'ui-danger',
    dark: 'support-black',
    light: 'white',
};

var forkHandlers = function (handlers) { return function (e) {
    handlers.forEach(function (handler) {
        if (handler)
            handler(e);
    });
}; };

function parseMetadata(metadata) {
    return metadata
        ? Object.keys(metadata).reduce(function (acc, key) {
            acc["data-" + kebabCase(key)] = metadata[key] || '';
            return acc;
        }, {})
        : {};
}

export { ICON_MAP, THEME_COLOR_TOKEN_MAP, forkHandlers, parseMetadata };
//# sourceMappingURL=index.js.map
